Uptimia API v1 (legacy) (1.0)
Download OpenAPI specification:Download
Legacy v1 of the Uptimia API. This version is deprecated — new integrations should use API v2.
Uptime monitors list
This operation fetches all websites added to Uptime Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Create an uptime monitor
This operation creates a new uptime monitor
Request Body schema: application/x-www-form-urlencoded
| name required | string Monitor name |
| unique_id | string Unique identifier for this monitor (optional) |
| url required | string Monitor URL |
| monitor_type | string Default: "HTTPS" Enum: "HTTP" "HTTPS" "TCP" "Ping" "DNS" "UDP" "SMTP" "POP3" "IMAP" Monitor type |
| interval | int32 [ 10 .. 86400 ] Default: 300 Check rate interval (seconds) |
| report_down | int32 [ 0 .. 3600 ] Default: 300 Send error alerts after ... seconds |
| report_up | boolean Default: true Send notifications when a monitor goes UP |
| port | integer Default: 0 Monitor port |
| string_send | string Default: "" Send a custom string (for TCP, DNS, UDP, SMTP, POP3 or IMAP monitors) |
| string_expect | string Default: "" Expect a string (for TCP, DNS, UDP, SMTP or POP3 monitors) |
| is_encrypted | boolean Default: false Use encryption (for SMTP, POP3 or IMAP monitors) |
| is_follow_redirects | boolean Default: false Follow HTTP redirects until the final destination |
| max_timeout | integer <int32> [ 0 .. 100 ] Default: 30 Timeout if no response received (seconds). Disabled if value is 0 |
| locations | Array of integers Location IDs. This field defines which monitoring probes will be used. An empty string for all probes. |
| request_type | string Default: "GET" Enum: "GET" "POST" "POSTRAW" Request type for HTTP or HTTPS monitor |
| payload | string Default: "" Payload for monitors with POSTRAW request type |
| groups | Array of integers Group IDs where the monitor belongs to |
Array of objects Default: "" Custom headers to be sent | |
| branding_id | integer Default: 0 ID of your custom brand |
Array of objects List of keywords | |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in all contacts being selected. Read more about contacts here. | |
Array of objects Default: "" Custom POST values | |
object Choose which errors will be reported |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Fetch an uptime monitor
This operation fetches a specific uptime monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "unique_id": "1b23fdg",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "monitor_type": "HTTP",
- "interval": 300,
- "report_down": null,
- "report_up": true,
- "port": "80",
- "incident_id": "1111",
- "string_send": "custom_string",
- "string_expect": "custom_string",
- "is_encrypted": "false",
- "follow_redirects": "true",
- "max_timeout": "true",
- "report_error_types": {
- "connection": "true",
- "timeout": "true",
- "unknown": "true",
- "redirect": "true",
- "keyword": "true",
- "http": {
- "response1xx": "false",
- "response2xx": "false",
- "response3xx": "false",
- "response4xx": "true",
- "response5xx": "true"
}
}, - "keywords": [
- {
- "keyword": "Error",
- "state": "must_not_exist"
}
], - "locations": null,
- "request_type": "GET",
- "payload": "",
- "custom_headers": "",
- "branding_id": "1",
- "contacts": ""
}
}Update an uptime monitor
This operation updates an uptime monitor. Only values sent in the request body will be updated.
path Parameters
| id required | integer\d+ Monitor ID |
Request Body schema: application/x-www-form-urlencoded
| name | string Monitor name |
| unique_id | string Unique identifier for this monitor (optional) |
| url | string Monitor URL |
| monitor_type | string Default: "HTTPS" Enum: "HTTP" "HTTPS" "TCP" "Ping" "DNS" "UDP" "SMTP" "POP3" "IMAP" Monitor type |
| interval | int32 [ 10 .. 86400 ] Default: 300 Check rate interval (seconds) |
| report_down | int32 [ 0 .. 3600 ] Default: 300 Send error alerts after ... seconds |
| report_up | boolean Default: true Send notifications when a monitor goes UP |
| port | integer Default: 0 Monitor port |
| string_send | string Default: "" Send a custom string (for TCP, DNS, UDP, SMTP, POP3 or IMAP monitors) |
| string_expect | string Default: "" Expect a string (for TCP, DNS, UDP, SMTP or POP3 monitors) |
| is_encrypted | boolean Default: false Use encryption (for SMTP, POP3 or IMAP monitors) |
| is_follow_redirects | boolean Default: false Follow HTTP redirects until the final destination |
| max_timeout | integer <int32> [ 0 .. 100 ] Default: 30 Timeout if no response received (seconds). Disabled if value is 0 |
| locations | Array of integers Location IDs. This field defines which monitoring probes will be used. Send an empty string for all probes. |
| request_type | string Default: "GET" Enum: "GET" "POST" "POSTRAW" Request type for HTTP or HTTPS monitor |
| payload | string Default: "" Payload (JSON) for monitors with POSTRAW request type |
| groups | Array of integers Group IDs where the monitor belongs to. Send an empty string to remove from all groups. |
Array of objects Default: "" Custom headers to be sent. Send an empty string to remove custom headers. | |
| branding_id | integer Default: 0 ID of your custom brand |
Array of objects Default: "" List of keywords Send an empty string to remove keywords. | |
Array of objects Default: "" Custom POST values. Send an empty string to remove custom POST values. | |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in no changes being made. Read more about contacts here. | |
object Choose which errors will be reported |
Responses
Response samples
- 400
{- "error_code": "monitor_not_found",
- "message": "Monitor not found"
}Return the list of incidents
This operation fetches incidents for Uptime Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many incidents to return |
| page | int32 Default: 1 Which page to return |
| start required | int64 Only incidents after this UNIX timestamp will be returned |
| end required | int64 Only incidents before this UNIX timestamp will be returned (0 if you want to retrieve ongoing incidents) |
| monitor_id | int32 Default: 0 Return incidents only from the specified monitor ID. If not specified, all incidents will be returned |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout"
}, - "metadata": {
- "total_incidents": "10"
}
}Return incident data
This operation fetches an incident for Uptime Monitoring
path Parameters
| id required | string\d+ |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_type": "uptime",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout",
- "screenshot_url": "string",
- "confirmed_by_probes": "[1,2,3]",
- "traceroute": "string",
- "response_headers": "string",
- "response_body": "string",
- "notifications_sent": ""
}
}Return the list of logs
This operation fetches logs for Uptime Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many logs to return |
| page | int32 Default: 1 Which page to return |
| monitor_id | int32 Default: 0 Return logs only from the specified monitor ID. If not specified, all logs will be returned |
| start required | int64 Only logs after this UNIX timestamp will be returned |
| end required | int64 Only logs before this UNIX timestamp will be returned |
| is_up | boolean Default: true Include logs that returned 'up' status |
| is_down | boolean Default: true Include logs that returned 'down' status |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "time": "1680000000",
- "location": "1",
- "status": "up",
- "duration": 1000
}, - "metadata": {
- "total_logs": "10"
}
}Speed monitors list
This operation fetches all websites added to Speed Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Create a speed monitor
This operation creates a new speed monitor
Request Body schema: application/x-www-form-urlencoded
| name required | string Monitor name |
| url required | string Monitor URL |
| interval | int32 [ 60 .. 86400 ] Default: 600 Check rate interval (seconds) |
| report_down | int32 [ 0 .. 3600 ] Default: 300 Send error alerts after ... seconds |
| report_up | boolean Default: true Send notifications when a monitor goes UP |
| locations | Array of integers Location IDs. This field defines which monitoring probes will be used. Send an empty string for all probes. |
| request_type | string Default: "GET" Enum: "GET" "POST" "POSTRAW" Request type for HTTP or HTTPS monitor |
| branding_id | integer Default: 0 ID of your custom brand |
| is_alert_speed_drops | boolean Default: true Send alerts when average speed drops |
| alert_speed_threshold | int32 [ 1 .. 30 ] Default: 5 Alert when average loading speed drops below a specified number in seconds |
| alert_speed_time | int32 [ 20 .. 60 ] Default: 30 Alert when average loading speed goes below the specified threshold in minutes. For example, if a website loads slower than 5 seconds in 30 minutes |
| groups | Array of integers Group IDs where the monitor belongs to |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in all contacts being selected. Read more about contacts here. |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Fetch a speed monitor
This operation fetches a specific speed monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "interval": 600,
- "report_down": null,
- "report_up": true,
- "incident_id": "1111",
- "locations": [
- 0
], - "is_alert_speed_drops": "false",
- "alert_speed_threshold": 5,
- "alert_speed_time": 30,
- "branding_id": "1",
- "contacts": ""
}
}Update a speed monitor
This operation updates an existing speed monitor
path Parameters
| id required | integer\d+ Monitor ID |
Request Body schema: application/x-www-form-urlencoded
| name | string Monitor name |
| url | string Monitor URL |
| interval | int32 [ 60 .. 86400 ] Default: 600 Check rate interval (seconds) |
| report_down | int32 [ 0 .. 3600 ] Default: 300 Send error alerts after ... seconds |
| report_up | boolean Default: true Send notifications when a monitor goes UP |
| locations | Array of integers Location IDs. This field defines which monitoring probes will be used. Send an empty value for all probes. |
| request_type | string Default: "GET" Enum: "GET" "POST" "POSTRAW" Request type for HTTP or HTTPS monitor |
| branding_id | integer Default: 0 ID of your custom brand |
| is_alert_speed_drops | boolean Default: true Send alerts when average speed drops |
| alert_speed_threshold | int32 [ 1 .. 30 ] Default: 5 Alert when average loading speed drops below a specified number in seconds |
| alert_speed_time | int32 [ 20 .. 60 ] Default: 30 Alert when average loading speed goes below the specified threshold in minutes. For example, if a website loads slower than 5 seconds in 30 minutes |
| groups | Array of integers Group IDs where the monitor belongs to. Send an empty string to remove from all groups. |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in no changes being made. Read more about contacts here. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Return the list of incidents
This operation fetches incidents for Speed Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many incidents to return |
| page | int32 Default: 1 Which page to return |
| start required | int64 Only incidents after this UNIX timestamp will be returned |
| end required | int64 Only incidents before this UNIX timestamp will be returned (0 if you want to retrieve ongoing incidents) |
| monitor_id | int32 Default: 0 Return incidents only from the specified monitor ID. If not specified, all incidents will be returned |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout"
}, - "metadata": {
- "total_incidents": "10"
}
}Return incident data
This operation fetches an incident for Speed Monitoring
path Parameters
| id required | string\d+ |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout",
- "confirmed_by_probes": "[1,2,3]",
- "notifications_sent": ""
}
}Return the list of logs
This operation fetches logs for Speed Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many logs to return |
| page | int32 Default: 1 Which page to return |
| monitor_id | int32 Default: 0 Return logs only from the specified monitor ID. If not specified, all logs will be returned |
| start required | int64 Only logs after this UNIX timestamp will be returned |
| end required | int64 Only logs before this UNIX timestamp will be returned |
| is_up | boolean Default: true Include logs that returned 'up' status |
| is_down | boolean Default: true Include logs that returned 'down' status |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "time": "1680000000",
- "location": "1",
- "status": "up",
- "duration": 1000
}, - "metadata": {
- "total_logs": "10"
}
}SSL certificate monitors list
This operation fetches all websites added to SSL Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Create an SSL monitor
This operation creates a new SSL monitor
Request Body schema: application/x-www-form-urlencoded
| name required | string Monitor name |
| url required | string Monitor URL |
| interval | integer [ 600 .. 86400 ] Default: 1800 Check rate interval |
| report_down | int32 [ 0 .. 3600 ] Send error alerts after ... seconds |
| report_up | boolean Send notifications when a monitor goes UP |
| expire_alert_days | int32 [ 1 .. 90 ] Default: 7 Alert that the certificate is about to expire in ... days |
| locations | Array of integers Location IDs. This field defines which monitoring probes will be used. Send an empty string for all probes. |
| groups | Array of integers Group IDs where the monitor belongs to |
| change_error_level_time | integer [ 0 .. 86400 ] Default: 3600 How long will the system wait until an error level will be changed (seconds). Recommended to keep it at 1 hour |
| branding_id | integer ID of your custom brand |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in all contacts being selected. Read more about contacts here. |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Fetch an SSL monitor
This operation fetches a specific SSL monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "interval": 1800,
- "report_down": null,
- "report_up": true,
- "expire_alert_days": 7,
- "incident_id": "1111",
- "locations": [
- 0
], - "change_error_level_time": 3600,
- "branding_id": "1",
- "contacts": ""
}
}Update an SSL monitor
This operation updates an existing SSL monitor
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| name | string Monitor name |
| url | string Monitor URL |
| interval | integer [ 600 .. 86400 ] Default: 1800 Check rate interval |
| report_down | int32 [ 0 .. 3600 ] Send error alerts after ... seconds |
| report_up | boolean Send notifications when a monitor goes UP |
| expire_alert_days | int32 [ 1 .. 90 ] Default: 7 Alert that the certificate is about to expire in ... days |
| incident_id | integer Incident ID (if monitor status is CRITICAL or TROUBLE) |
| locations | Array of integers Location IDs. This field defines which monitoring probes will be used. Send an empty string for all probes. |
| groups | Array of integers Group IDs where the monitor belongs to. Send an empty string to remove from all groups. |
| change_error_level_time | integer [ 0 .. 86400 ] Default: 3600 How long will the system wait until an error level will be changed (seconds). Recommended to keep it at 1 hour |
| branding_id | integer Default: 0 ID of your custom brand |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in no changes being made. Read more about contacts here. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Return the list of incidents
This operation fetches incidents for SSL Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many incidents to return |
| page | int32 Default: 1 Which page to return |
| start required | int64 Only incidents after this UNIX timestamp will be returned |
| end required | int64 Only incidents before this UNIX timestamp will be returned (0 if you want to retrieve ongoing incidents) |
| monitor_id | int32 Default: 0 Return incidents only from the specified monitor ID. If not specified, all incidents will be returned |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout"
}, - "metadata": {
- "total_incidents": "10"
}
}Return incident data
This operation fetches an incident for SSL Monitoring
path Parameters
| id required | string\d+ |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout",
- "confirmed_by_probes": "[1,2,3]",
- "notifications_sent": ""
}
}Return the list of logs
This operation fetches logs for SSL Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many logs to return |
| page | int32 Default: 1 Which page to return |
| monitor_id | int32 Default: 0 Return logs only from the specified monitor ID. If not specified, all logs will be returned |
| start required | int64 Only logs after this UNIX timestamp will be returned |
| end required | int64 Only logs before this UNIX timestamp will be returned |
| is_up | boolean Default: true Include logs that returned 'up' status |
| is_down | boolean Default: true Include logs that returned 'down' status |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "time": "1680000000",
- "location": "1",
- "status": "up",
- "duration": 1000
}, - "metadata": {
- "total_logs": "10"
}
}Domain monitors list
This operation fetches all websites added to Domain Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Create domain monitor
This operation creates a new domain monitor
Request Body schema: application/x-www-form-urlencoded
| name required | string Monitor name |
| url required | string Monitor URL or domain name |
| interval | integer [ 86400 .. 2592000 ] Default: 604800 Check rate interval |
| report_down | int32 [ 0 .. 3600 ] Send error alerts after ... seconds |
| report_up | boolean Send notifications when a monitor goes UP |
| expire_alert_days | int32 [ 1 .. 90 ] Default: 7 Alert that the certificate is about to expire in ... days |
| groups | Array of integers Group IDs where the monitor belongs to |
| branding_id | integer ID of your custom brand |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in all contacts being selected. Read more about contacts here. |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Fetch a domain monitor
This operation fetches a specific domain monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "interval": 1800,
- "report_down": null,
- "report_up": true,
- "expire_alert_days": 7,
- "incident_id": "1111",
- "branding_id": "1",
- "contacts": ""
}
}Update a domain monitor
This operation updates an existing domain monitor
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| name | string Monitor name |
| url | string Monitor URL or domain |
| interval | integer [ 86400 .. 2592000 ] Default: 604800 Check rate interval |
| report_down | int32 [ 0 .. 3600 ] Send error alerts after ... seconds |
| report_up | boolean Send notifications when a monitor goes UP |
| expire_alert_days | int32 [ 1 .. 90 ] Default: 7 Alert that the certificate is about to expire in ... days |
| incident_id | integer Incident ID (if monitor status is CRITICAL or TROUBLE) |
| groups | Array of integers Group IDs where the monitor belongs to. Send an empty string to remove from all groups. |
| branding_id | integer Default: 0 ID of your custom brand |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in no changes being made. Read more about contacts here. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Return the list of incidents
This operation fetches incidents for Domain Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many incidents to return |
| page | int32 Default: 1 Which page to return |
| start required | int64 Only incidents after this UNIX timestamp will be returned |
| end required | int64 Only incidents before this UNIX timestamp will be returned (0 if you want to retrieve ongoing incidents) |
| monitor_id | int32 Default: 0 Return incidents only from the specified monitor ID. If not specified, all incidents will be returned |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout"
}, - "metadata": {
- "total_incidents": "10"
}
}Return incident data
This operation fetches an incident for Domain Monitoring
path Parameters
| id required | string\d+ |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout",
- "notifications_sent": ""
}
}Return the list of logs
This operation fetches logs for Domain Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many logs to return |
| page | int32 Default: 1 Which page to return |
| monitor_id | int32 Default: 0 Return logs only from the specified monitor ID. If not specified, all logs will be returned |
| start required | int64 Only logs after this UNIX timestamp will be returned |
| end required | int64 Only logs before this UNIX timestamp will be returned |
| is_up | boolean Default: true Include logs that returned 'up' status |
| is_down | boolean Default: true Include logs that returned 'down' status |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "time": "1680000000",
- "status": "up",
- "duration": 1000
}, - "metadata": {
- "total_logs": "10"
}
}Virus monitors list
This operation fetches all websites added to Virus Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Create virus monitor
This operation creates a new virus monitor
Request Body schema: application/x-www-form-urlencoded
| name required | string Monitor name |
| url required | string Monitor URL |
| interval | integer [ 3600 .. 604800 ] Default: 86400 Check rate interval |
| report_down | int32 [ 0 .. 3600 ] Send error alerts after ... seconds |
| report_up | boolean Send notifications when a monitor goes UP |
| groups | Array of integers Group IDs where the monitor belongs to |
| branding_id | integer ID of your custom brand |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in all contacts being selected. Read more about contacts here. |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Fetch a virus monitor
This operation fetches a specific virus monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "interval": 1800,
- "report_down": null,
- "report_up": true,
- "incident_id": "1111",
- "branding_id": "1",
- "contacts": ""
}
}Update a virus monitor
This operation updates an existing virus monitor
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| name | string Monitor name |
| url | string Monitor URL |
| interval | integer [ 3600 .. 604800 ] Default: 86400 Check rate interval |
| report_down | int32 [ 0 .. 3600 ] Send error alerts after ... seconds |
| report_up | boolean Send notifications when a monitor goes UP |
| incident_id | integer Incident ID (if monitor status is CRITICAL or TROUBLE) |
| groups | Array of integers Group IDs where the monitor belongs to. Send an empty string to remove from all groups. |
| branding_id | integer Default: 0 ID of your custom brand |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in no changes being made. Read more about contacts here. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Return the list of incidents
This operation fetches incidents for Virus Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many incidents to return |
| page | int32 Default: 1 Which page to return |
| start required | int64 Only incidents after this UNIX timestamp will be returned |
| end required | int64 Only incidents before this UNIX timestamp will be returned (0 if you want to retrieve ongoing incidents) |
| monitor_id | int32 Default: 0 Return incidents only from the specified monitor ID. If not specified, all incidents will be returned |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout"
}, - "metadata": {
- "total_incidents": "10"
}
}Return incident data
This operation fetches an incident for Virus Monitoring
path Parameters
| id required | string\d+ |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout",
- "notifications_sent": ""
}
}Return the list of logs
This operation fetches logs for Virus Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many logs to return |
| page | int32 Default: 1 Which page to return |
| monitor_id | int32 Default: 0 Return logs only from the specified monitor ID. If not specified, all logs will be returned |
| start required | int64 Only logs after this UNIX timestamp will be returned |
| end required | int64 Only logs before this UNIX timestamp will be returned |
| is_up | boolean Default: true Include logs that returned 'up' status |
| is_down | boolean Default: true Include logs that returned 'down' status |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "time": "1680000000",
- "status": "up",
- "duration": 1000
}, - "metadata": {
- "total_logs": "10"
}
}Transaction monitors list
This operation fetches all websites added to Transaction Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Fetch a transaction monitor
This operation fetches a specific transaction monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "interval": 1800,
- "report_down": null,
- "report_up": true,
- "incident_id": "1111",
- "locations": [
- 0
], - "branding_id": "1",
- "contacts": ""
}
}Return the list of incidents
This operation fetches incidents for Transaction Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many incidents to return |
| page | int32 Default: 1 Which page to return |
| start required | int64 Only incidents after this UNIX timestamp will be returned |
| end required | int64 Only incidents before this UNIX timestamp will be returned (0 if you want to retrieve ongoing incidents) |
| monitor_id | int32 Default: 0 Return incidents only from the specified monitor ID. If not specified, all incidents will be returned |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout"
}, - "metadata": {
- "total_incidents": "10"
}
}Return incident data
This operation fetches an incident for Transaction Monitoring
path Parameters
| id required | string\d+ |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "incident_start": "1680000000",
- "incident_end": "1690000000",
- "is_critical": false,
- "is_trouble": false,
- "incident_description": "Operation timeout",
- "confirmed_by_probes": "[1,2,3]",
- "notifications_sent": ""
}
}Return the list of logs
This operation fetches logs for Transaction Monitoring
query Parameters
| limit | int32 [ 1 .. 100 ] Default: 25 How many logs to return |
| page | int32 Default: 1 Which page to return |
| monitor_id | int32 Default: 0 Return logs only from the specified monitor ID. If not specified, all logs will be returned |
| start required | int64 Only logs after this UNIX timestamp will be returned |
| end required | int64 Only logs before this UNIX timestamp will be returned |
| is_up | boolean Default: true Include logs that returned 'up' status |
| is_down | boolean Default: true Include logs that returned 'down' status |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "monitor_id": "1",
- "time": "1680000000",
- "location": "1",
- "status": "up",
- "duration": 1000
}, - "metadata": {
- "total_logs": "10"
}
}Real User Monitoring websites list
This operation fetches all websites added to Real User Monitoring product
query Parameters
| is_up | boolean Default: true Include UP monitors |
| is_critical | boolean Default: true Include CRITICAL monitors |
| is_trouble | boolean Default: true Include TROUBLE monitors |
| is_paused | boolean Default: true Include paused monitors |
| is_suspended | boolean Default: true Include suspended monitors |
| is_maintenance | boolean Default: true Include maintenance monitors |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": [
- 0
]
}, - "metadata": {
- "total_monitors": "10",
- "total_up": "9",
- "total_critical": "1",
- "total_trouble": "1",
- "total_suspended": "0",
- "total_paused": "0",
- "total_maintenance": "0"
}
}Create a Real User monitor
This operation creates a new Real User monitor
Request Body schema: application/x-www-form-urlencoded
| name required | string Monitor name |
| url required | string Monitor URL |
| is_alert_traffic_stops | boolean Default: false Alert if traffic stops |
| alert_traffic_stops_minutes | integer [ 5 .. 60 ] Default: 10 Alert when we receive no more traffic for ... minutes |
| is_alert_speed_drops | boolean Default: false Alert if average speed stops |
| alert_speed_drops_percent | integer [ 30 .. 100 ] Default: 50 Alert when average speed drops by ... percent |
| alert_speed_drops_time | integer [ 5 .. 60 ] Default: 10 Alert when average speed drop continues for ... minutes |
| is_alert_traffic_drops | boolean Default: false Alert if traffic drops |
| alert_traffic_drops_percent | integer [ 30 .. 100 ] Default: 50 Alert when traffic drops by ... percent |
| alert_traffic_drops_time | integer [ 5 .. 60 ] Default: 10 Alert when traffic drop continues for ... minutes |
| is_alert_js_errors | boolean Default: false Alert if JavaScript errors reach a certain threshold |
| alert_js_errors_percent | integer [ 30 .. 100 ] Default: 50 Alert when JavaScript error threshold reaches ... percent |
| alert_js_errors_time | integer [ 5 .. 60 ] Default: 10 Alert when JavaScript error threshold continues for ... minutes |
| apdex_score | integer [ 1 .. 20 ] Default: 4 Choose how long does it take for the website to load for visitors to be satisfied |
| branding_id | integer Default: 0 ID of your custom brand |
| groups | Array of integers Group IDs where the monitor belongs to |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in all contacts being selected. Read more about contacts here. |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Fetch a Real User monitor
This operation fetches a specific Real User monitor with the given ID
path Parameters
| id required | integer\d+ Monitor ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Website Name",
- "tracking_code": "<script></script>",
- "is_up": true,
- "is_critical": false,
- "is_trouble": false,
- "is_suspended": false,
- "is_paused": false,
- "is_maintenance": false,
- "groups": "[1,2,3]",
- "is_alert_traffic_stops": false,
- "alert_traffic_stops_minutes": 10,
- "is_alert_speed_drops": false,
- "alert_speed_drops_percent": 50,
- "alert_speed_drops_time": 10,
- "is_alert_traffic_drops": false,
- "alert_traffic_drops_percent": 50,
- "alert_traffic_drops_time": 10,
- "is_alert_js_errors": false,
- "alert_js_errors_percent": 50,
- "alert_js_errors_time": 10,
- "apdex_score": 4,
- "branding_id": "1",
- "contacts": ""
}
}Update a Real User monitor
This operation updates an existing Real User monitor
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| name | string Monitor name |
| url | string Monitor URL |
| is_alert_traffic_stops | boolean Default: false Alert if traffic stops |
| alert_traffic_stops_minutes | integer [ 5 .. 60 ] Default: 10 Alert when we receive no more traffic for ... minutes |
| is_alert_speed_drops | boolean Default: false Alert if average speed stops |
| alert_speed_drops_percent | integer [ 30 .. 100 ] Default: 50 Alert when average speed drops by ... percent |
| alert_speed_drops_time | integer [ 5 .. 60 ] Default: 10 Alert when average speed drop continues for ... minutes |
| is_alert_traffic_drops | boolean Default: false Alert if traffic drops |
| alert_traffic_drops_percent | integer [ 30 .. 100 ] Default: 50 Alert when traffic drops by ... percent |
| alert_traffic_drops_time | integer [ 5 .. 60 ] Default: 10 Alert when traffic drop continues for ... minutes |
| is_alert_js_errors | boolean Default: false Alert if JavaScript errors reach a certain threshold |
| alert_js_errors_percent | integer [ 30 .. 100 ] Default: 50 Alert when JavaScript error threshold reaches ... percent |
| alert_js_errors_time | integer [ 5 .. 60 ] Default: 10 Alert when JavaScript error threshold continues for ... minutes |
| apdex_score | integer [ 1 .. 20 ] Default: 4 Choose how long does it take for the website to load for visitors to be satisfied |
| branding_id | integer Default: 0 ID of your custom brand |
| groups | Array of integers Group IDs where the monitor belongs to. Send an empty string to remove from all groups. |
Array of objects List of contacts who will receive alerts. Leaving this field empty will result in no changes being made. Read more about contacts here. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "John Doe Office",
- "type": "email",
- "type_text": "Email",
- "integration_id": "1",
- "user_id": "1",
- "is_main_user": true,
- "is_confirmed": true
}, - "metadata": {
- "total_contacts": "10"
}
}Create a new contact
This operation creates a new contact and attaches it to a user
Request Body schema: application/x-www-form-urlencoded
| user_id required | integer Default: 0 Whom this contact will belong to. 0 if it is a main user contact |
| type required | string Enum: "sms" "email" "slack" "whatsapp" "pagerduty" "ms_teams" "statuspage" "discord" "telegram" "mattermost" "twilio" "twitter" "webhook" Contact type (sms, email, slack, etc) |
| name required | string Contact name. Used as reference. |
| contact_value required | string Contact value. For example, an e-mail address, integration name or a phone number |
| integration_id | integer Default: 0 Integration ID (if this contact is an integration) |
Responses
Response samples
- 201
- 400
{- "new_id": "1",
- "is_confirmed": "true"
}Returns the list of user contacts
This operation fetches all contacts owned by a user
path Parameters
| id required | string |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "John Doe Office",
- "type": "email",
- "type_text": "E-mail",
- "integration_id": "1",
- "user_id": "1",
- "is_main_user": true,
- "is_confirmed": true
}, - "metadata": {
- "total_contacts": "10"
}
}Edit a contact
This operation edits contact data
path Parameters
| id required | string |
Request Body schema: application/x-www-form-urlencoded
| type | string Enum: "sms" "email" "slack" "whatsapp" "pagerduty" "ms_teams" "statuspage" "discord" "telegram" "mattermost" "twilio" "twitter" "webhook" Contact type (sms, email, slack, etc) |
| name | string Contact name. Used as reference. |
| contact_value | string Contact value. For example, an e-mail address, integration name or a phone number |
| integration_id | integer Default: 0 Integration ID (if this contact is an integration) |
Responses
Response samples
- 200
- 400
{- "is_confirmed": "true"
}Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "full_name": "John Doe",
- "alerting_times": "8 AM - 5 PM, except for Saturdays, Sundays",
- "do_not_alert_days": "['sat','sun']",
- "alert_hours_from": "8",
- "alert_hours_to": "17",
- "is_main_user": true,
- "is_confirmed": true
}, - "metadata": {
- "total_users": "10"
}
}Create a new user
This operation creates a new user
Request Body schema: application/x-www-form-urlencoded
| email required | string User email |
| full_name required | string Full name |
| do_not_alert_days | Array of strings Default: "" The user will not receive alerts on these weekdays. Example: ['sat','sun']. Accepted string values: 'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'. Send an empty string to receive alerts on all days of the week. |
| alert_hours_from | integer Default: 0 Send alerts from this hour |
| alert_hours_to | integer Default: 0 Send alerts until this hour |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Edit a user
This operation edits a user
path Parameters
| id required | string |
Request Body schema: application/x-www-form-urlencoded
string User email | |
| full_name | string Full name |
| do_not_alert_days | Array of strings Default: "" The user will not receive alerts on these weekdays. Example: ['sat','sun']. Accepted string values: 'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'. |
| alert_hours_from | integer Default: 0 Send alerts from this hour |
| alert_hours_to | integer Default: 0 Send alerts until this hour |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "DevOps Team",
- "alerted_for": "20",
- "alerting_times": "8 AM - 5 PM, except for Saturdays, Sundays",
- "team_members_raw": "[1,2]",
- "team_members_names": "John Doe, Peter Griffin, Mary Smith",
- "alert_hours_from": "8",
- "alert_hours_to": "17",
- "do_not_alert_days": "['sat','sun']",
- "is_alerting_settings_override": true
}, - "metadata": {
- "total_teams": "10"
}
}Create a new team
This operation creates a new team
Request Body schema: application/x-www-form-urlencoded
| name required | string Team name |
| team_members required | Array of integers Team member IDs |
| alert_hours_from | integer Default: 0 Send alerts from this hour |
| alert_hours_to | integer Default: 0 Send alerts until this hour |
| do_not_alert_days | Array of strings Default: "" The user will not receive alerts on these weekdays. Example: ['sat','sun']. Accepted string values: 'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'. Send an empty string to receive alerts on all days of the week. |
| is_alerting_settings_override | boolean Default: true Will the team settings override the user's alerting settings |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Edit a team
This operation edits a team
path Parameters
| id required | string |
Request Body schema: application/x-www-form-urlencoded
| name | string Team name |
| team_members | Array of integers Team member IDs |
| alert_hours_from | integer Default: 0 Send alerts from this hour |
| alert_hours_to | integer Default: 0 Send alerts until this hour |
| do_not_alert_days | Array of strings Default: "" The user will not receive alerts on these weekdays. Example: ['sat','sun']. Accepted string values: 'mon', 'tue', 'wed', 'thu', 'fri', 'sat', 'sun'. Send an empty string to receive alerts on all days of the week. |
| is_alerting_settings_override | boolean Default: true Will the team settings override the user's alerting settings |
Responses
Response samples
- 200
- 400
{- "status": "success",
- "response": "A team has been updated successfully"
}Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Uptime stats",
- "status_page_link_name": "uptimia",
- "is_incident_history_on": true,
- "is_current_incidents_on": true,
- "is_timezone_utc": true,
- "is_scheduled_maintenances_on": true,
- "is_past_maintenances_on": true,
- "is_footer_link_on": true,
- "custom_css": "string",
- "custom_js": "string",
- "custom_html": "string"
}, - "metadata": {
- "total_status_pages": "10"
}
}Create a new status page
This operation creates a new public status page
Request Body schema: application/x-www-form-urlencoded
| name required | string Status page name |
| status_page_link_name required | string The name of the status page that will appear in the URL (https://status.uptimia.com/ |
| custom_domain_name | string Custom domain you want to use for the status page |
| is_incident_history_on | boolean Will display incidents history if set to true |
| is_current_incidents_on | boolean Will display currently occurring incidents at the top of the status page if set to true |
| is_timezone_utc | boolean Will display the time in UTC if set to true instead of using your account timezone settings |
| is_scheduled_maintenances_on | boolean Will display scheduled maintenance if set to true |
| is_past_maintenances_on | boolean Will display past maintenance if set to true |
| is_footer_link_on | boolean Will display Uptimia URL in the footer if set to true |
| custom_css | string Will include a custom CSS code snippet to your status page |
| custom_js | string Will include a custom JavaScript code snippet to your status page |
| custom_html | string Will include a custom HTML code snippet to your status page |
required | Array of objects Status page structure object. Structure is an array of sections. Each section has an array of monitors included in that section. Read more about status page structure here. |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Returns a specified status page
This operation fetches a single status page by ID
path Parameters
| id required | integer\d+ Status page ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "Uptime stats",
- "status_page_link_name": "uptimia",
- "is_incident_history_on": true,
- "is_current_incidents_on": true,
- "is_timezone_utc": true,
- "is_scheduled_maintenances_on": true,
- "is_past_maintenances_on": true,
- "is_footer_link_on": true,
- "custom_css": "string",
- "custom_js": "string",
- "custom_html": "string",
- "structure": [
- {
- "name": "Homepage",
- "description": "Different parts of homepage are displayed here",
- "monitors": [
- {
- "id": 0,
- "type": "uptime"
}
]
}
]
}
}Update a status page
This operation updates an existing status page
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| name | string Status page name |
| status_page_link_name | string The name of the status page that will appear in the URL (https://status.uptimia.com/ |
| custom_domain_name | string Custom domain you want to use for the status page |
| is_incident_history_on | boolean Will display incidents history if set to true |
| is_current_incidents_on | boolean Will display currently occurring incidents at the top of the status page if set to true |
| is_timezone_utc | boolean Will display the time in UTC if set to true instead of using your account timezone settings |
| is_scheduled_maintenances_on | boolean Will display scheduled maintenance if set to true |
| is_past_maintenances_on | boolean Will display past maintenance if set to true |
| is_footer_link_on | boolean Will display Uptimia URL in the footer if set to true |
| custom_css | string Will include a custom CSS code snippet to your status page |
| custom_js | string Will include a custom JavaScript code snippet to your status page |
| custom_html | string Will include a custom HTML code snippet to your status page |
Array of objects Status page structure object. Structure is an array of sections. Each section has an array of monitors included in that section. Read more about status page structure here. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Returns the list of all status page threads
This operation fetches all status page threads
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "title": "API down",
- "thread_type": "incident",
- "summary": "Some parts of our API are not working",
- "time_created": "1705910979",
- "time_updated": "1705910979",
- "time_ended": "1705910979",
- "is_resolved": true,
- "current_status": "in_progress",
- "is_past_maintenances_on": true,
- "incident_id": 1,
- "monitor_type": "uptime",
- "maintenance_id": 1,
- "maintenance_start": "1705910979",
- "maintenance_end": "1705910979",
- "status_page_id": "1",
- "status_updates_posted": null
}, - "metadata": {
- "total_threads": "10"
}
}Create a new status thread
This operation creates a status thread
Request Body schema: application/x-www-form-urlencoded
| title required | string Thread title |
| summary required | string A summary of a thread |
| initial_status_update | string The initial status update attached to the new thread. |
| thread_type required | string Enum: "general" "maintenance" "incident" Thread type |
| incident_id | int32 Incident ID if thread type is incident |
| monitor_type | string Enum: "uptime" "speed" "transaction" "ssl" "virus" Monitor type, if a thread_type is 'incident' |
| maintenance_id | int32 Maintenance ID if thread type is maintenance |
| status_page_id | int32 The ID of the status page where this thread is assigned (if thread type general) |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Returns a specified status page thread
This operation fetches a single status page thread by ID
path Parameters
| id required | integer\d+ Status page thread ID |
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "title": "API down",
- "thread_type": "incident",
- "summary": "Some parts of our API are not working",
- "time_created": "1705910979",
- "time_updated": "1705910979",
- "time_ended": "1705910979",
- "is_resolved": true,
- "current_status": "in_progress",
- "incident_id": 1,
- "monitor_type": "uptime",
- "maintenance_id": 1,
- "maintenance_start": "1705910979",
- "maintenance_end": "1705910979",
- "status_page_id": "1",
- "status_updates_posted": null,
- "statuses": [
- {
- "id": "1",
- "message": "We are working on this issue",
- "status": "in_progress",
- "time": "1705910979"
}
]
}
}Edit a status page thread
This operation edits an existing status page thread
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| title required | string Thread title |
| summary required | string A summary of a thread |
| is_resolved | boolean Default: false True if this thread is resolved. It will be moved to 'Past updates'. |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Create a new status update
This operation creates a status update
Request Body schema: application/x-www-form-urlencoded
| thread_id required | int32 Thread ID |
| message required | string Status update message |
| status required | string Enum: "open" "acknowledged" "investigating" "in_progress" "resolved" "scheduled" "completed" Status code of the message |
Responses
Response samples
- 201
- 400
{- "new_id": "1"
}Edit a status update post
This operation edits an existing status post
path Parameters
| id required | string\d+ |
Request Body schema: application/x-www-form-urlencoded
| thread_id | int32 Thread ID |
| message | string Status update message |
| status | string Enum: "open" "acknowledged" "investigating" "in_progress" "resolved" "scheduled" "completed" Status code of the message |
Responses
Response samples
- 400
{- "error_code": "string",
- "message": "string"
}Get the list of monitoring probe locations
This operation fetches all the monitoring probe locations
Responses
Response samples
- 200
- 400
{- "data": {
- "id": "1",
- "name": "New York City, United States",
- "ipv4": "123.123.123.123",
- "ipv6": "2001:db8:3333:4444:5555:6666:7777:8888",
- "is_healthy": true
}, - "metadata": {
- "total_locations": "171",
- "total_healthy_locations": "170"
}
}